.aw-qty-placeholder {
    display: none;
}

.cart.table-wrapper .control.qty button,
.aw-sidebar-product-qty button {
    /*   border-radius: 4px !important; */
    border: none;
}

.cart.table-wrapper .control.qty,
.aw-sidebar-product-qty {
    display: flex;
    border-radius: 4px !important;
}

.cart.table-wrapper .col.qty,
.onestepcheckout-index-index .page-main .checkout-container .aw-onestep-sidebar-content .aw-onestep-sidebar-block.aw-sidebar-product-list .aw-onestep-sidebar-block_content .aw-sidebar-product-qty {
    width: 100%;
    background: none !important;
}

.onestepcheckout-index-index .page-main .checkout-container .aw-onestep-sidebar-content .aw-onestep-sidebar-block.aw-sidebar-product-list .aw-onestep-sidebar-block_content .aw-sidebar-product-qty .item-qty {
    min-height: 30px;
    border-radius: 0px !important;

}

#shopping-cart-table .input-text.qty {
    margin-top: 0.5px;
}

#shopping-cart-table .updateCartButton {
    margin-top: 2px;
    clear: both !important;
    width: 100%;
    /*   border-radius: 3px; */

}

button.remove-qty-cart {
    border-top-right-radius: 0px !important;
    border-bottom-right-radius: 0px !important;
}

button.add-qty-cart {
    border-top-left-radius: 0px !important;
    border-bottom-left-radius: 0px !important;
}

button.remove-qty-cart,
button.add-qty-cart {
    border: none !important;
}

.onestepcheckout-index-index .page-main .checkout-container .aw-onestep-sidebar-content .aw-onestep-sidebar-block.aw-sidebar-product-list .aw-onestep-sidebar-block_content .aw-sidebar-product-qty .item-qty {
    min-height: 32px;
}

.onestepcheckout-index-index .updateCartButton {
    display: flex;
    margin-left: 10px;
}

@media only screen and (max-width: 996px) {
    .checkout-cart-index .item-info .field.qty {
        display: flex;
    }

    .checkout-cart-index .item-info .updateCartButton {
        margin-left: 20px;
    }

    .control.qty input {
        margin-top: 0px !important;
    }

}



:root .onestepcheckout-index-index .onestepcheckout-index-index .page-wrapper .page-wrapper .page-main .page-main .shipping-method .onestep-shipping-method .onestep-shipping-method-list .shipping-method-card--wrapper:has(>#s_method_tablerate_bestway) .shipping-method-title:before {
    content: '\1F69A  ';
}

:root .onestepcheckout-index-index .onestepcheckout-index-index .page-wrapper .page-wrapper .page-main .page-main .shipping-method .onestep-shipping-method .onestep-shipping-method-list .shipping-method-card--wrapper:has(>#label_method_same_day_same_day) .shipping-method-title:before {
    content: '\1F680  ';
}


.onestepcheckout-index-index .page-main .checkout-container .aw-onestep-sidebar-content .aw-onestep-sidebar-block.aw-sidebar-product-list .aw-onestep-sidebar-block_content .aw-sidebar-product-configuration .toggle {
    display: none !important;
}

.onestepcheckout-index-index .aw-sidebar-product-configuration select {
    cursor: pointer !important;
    width: 120% !important;
    margin-right: 20px;

}

.onestepcheckout-index-index .aw-sidebar-product-configuration select[disabled] {
    color: #000 !important;
    opacity: 1 !important;
    cursor: pointer !important;
}

.onestepcheckout-index-index .aw-sidebar-product-qty::before {
    content: "Qty ";
    padding-right: 4px;
}


/* Added by AKP to fix filter isssue on search result page for INT english*/
@media (min-width: 768px) {
    :root .theme-pearl.page-products.catalogsearch-result-index #layered-filter-block.filter .block-content.filter-content .filter-options .filter-options-item.active .filter-options-content .items {
        list-style-type: none;
        overflow-y: auto;
        max-height: 21rem;
    }

    :root .theme-pearl.page-products.catalogsearch-result-index .sidebar #layered-filter-block .filter-content .filter-options .filter-options-item .filter-options-content .items .item a:before {
        content: unset;
    }

    :root .theme-pearl.page-products.catalogsearch-result-index #layered-filter-block.filter .block-content.filter-content .filter-options .filter-options-item.active .filter-options-title {
        border-top: 1px solid #D6D6D6;
        border-bottom: unset;
    }

    :root .theme-pearl.page-products.catalogsearch-result-index #layered-filter-block.filter .block-content.filter-content .filter-options .filter-options-item:last-of-type {
        border-bottom: 1px solid #D6D6D6;
    }

    :root .theme-pearl.page-products.catalogsearch-result-index #layered-filter-block.filter .block-content.filter-content .filter-options .filter-options-item:first-of-type .filter-options-title {
        border: unset;
    }

    :root .theme-pearl.page-products.catalogsearch-result-index #layered-filter-block.filter .block-content.filter-content .filter-options .filter-options-item .filter-options-title {
        border-top: 1px solid #d6d6d6;
        border-bottom: 0;
    }
}

@media (max-width: 767px) {
    :root .theme-pearl.page-products.catalogsearch-result-index #layered-filter-block.filter.active .block-content.filter-content .filter-options .filter-options-item .filter-options-title {
        border: unset;
    }

    :root .theme-pearl.page-products #layered-filter-block.filter.active div#am-shopby-container {
        margin: 0;
        padding: 0;
    }

    :root .theme-pearl.page-products .sorter select.sorter-options {
        display: none;
    }
}

/* Added by AKP to fix filter isssue on search result page for INT arabic*/

@media (min-width: 768px) {
    html[lang="ar"] .theme-pearl.page-products.catalogsearch-result-index #layered-filter-block.filter .block-content.filter-content .filter-options .filter-options-item.active .filter-options-content .items {
        list-style-type: none;
        overflow-y: auto;
        max-height: 21rem;
    }

    html[lang="ar"] .theme-pearl.page-products.catalog-category-view #layered-filter-block.filter .block-content.filter-content .filter-options .filter-options-item.active .filter-options-content .amshopby-search-box:after {
        left: 1.5rem;
        right: unset;
    }

    html[lang="ar"] .theme-pearl.page-products.catalogsearch-result-index #layered-filter-block.filter .block-content.filter-content .filter-options .filter-options-item.active .filter-options-content .items {
        float: unset;
    }

    html[lang="ar"] .theme-pearl.page-products.catalogsearch-result-index #layered-filter-block .filter-content .filter-options {
        width: 100%;
    }

    html[lang="ar"] .theme-pearl.page-products.catalogsearch-result-index #layered-filter-block .filter-content .filter-options input[type=checkbox]+.amshopby-choice {
        left: unset;
        right: 0;
    }

    html[lang="ar"] .theme-pearl.page-products.catalogsearch-result-index .sidebar #layered-filter-block .filter-content .filter-options .filter-options-item .filter-options-content .items .item a>span {
        padding-right: 2rem;
    }

    html[lang="ar"] .theme-pearl.page-products.catalogsearch-result-index #layered-filter-block.filter .block-content.filter-content .filter-options .filter-options-item.active .filter-options-title {
        border-top: 1px solid #D6D6D6;
        border-bottom: unset;
    }

    html[lang="ar"] .theme-pearl.page-products.catalogsearch-result-index #layered-filter-block.filter .block-content.filter-content .filter-options .filter-options-item:last-of-type {
        border-bottom: 1px solid #D6D6D6;
    }

    html[lang="ar"] .theme-pearl.page-products.catalogsearch-result-index #layered-filter-block.filter .block-content.filter-content .filter-options .filter-options-item:first-of-type .filter-options-title {
        border: unset;
    }

    html[lang="ar"] .theme-pearl.page-products.catalogsearch-result-index #layered-filter-block.filter .block-content.filter-content .filter-options .filter-options-item .filter-options-title {
        border-top: 1px solid #d6d6d6;
        border-bottom: 0;
    }

    html[lang="ar"] .theme-pearl.page-products .page-wrapper .page-main:has(.page-title-wrapper) #am-shopby-container {
        display: block;
    }
}


@media (max-width: 768px) {
    html[lang="ar"] .catalogsearch-result-index .filter.active .filter-title strong:after {
        float: left;
        position: fixed;
    }

    html[lang="ar"] .catalogsearch-result-index #layered-filter-block .filter-title strong {
        width: unset !important;
        color: #000000;
    }

    html[lang="ar"] .theme-pearl.page-products.catalogsearch-result-index .sidebar #layered-filter-block .filter-content .filter-options .filter-options-item .filter-options-content .items .item a:before {
        content: unset;
    }

    html[lang="ar"] .theme-pearl.page-products.catalogsearch-result-index .filter-options input[type=checkbox]+.amshopby-choice {
        right: 0;
        left: unset;
    }

    html[lang="ar"] .theme-pearl.page-products.catalogsearch-result-index .sidebar #layered-filter-block .filter-content .filter-options .filter-options-item .filter-options-content .items .item a {
        padding-right: 5rem;
    }

    html[lang="ar"] .theme-pearl.page-products.catalogsearch-result-index #layered-filter-block .filter-content .filter-options .filter-options-content .am-filter-mob-action {
        position: fixed;
        bottom: 0;
        padding: 1.5rem;
        background: #FFFFFF;
        width: 100%;
        left: 0;
    }

    html[lang="ar"] .theme-pearl.page-products.catalogsearch-result-index #layered-filter-block .filter-content .filter-options .filter-options-content .am-filter-mob-action button.apply-am-filter-mob {
        width: 100%;
    }

    html[lang="ar"] .theme-pearl.page-products.catalogsearch-result-index #layered-filter-block.filter.active div#am-shopby-container {
        margin-top: 4rem;
    }

    html[lang="ar"] .theme-pearl.page-products.catalogsearch-result-index #layered-filter-block.filter.active div#am-shopby-container ol.amshopby-items.items {
        list-style-type: none;
        padding-inline: 1.5rem;
    }

    html[lang="ar"] .theme-pearl.page-products.catalogsearch-result-index .filter .filter-current-subtitle:before {
        left: 1.5rem;
        right: unset;
    }
}

@media (max-width: 768px) {
    html[lang="ar"] .theme-pearl.page-products.catalogsearch-result-index .filter .filter-current.active {
        margin-top: 5rem;
    }

    html[lang="ar"] .theme-pearl.page-products.catalogsearch-result-index .filter .filter-current.active ol.amshopby-items.items {
        list-style-type: none;
        padding-inline: 1.5rem;
    }
}




.recommend-widget-loader .loader {
    height: 5px;
    width: 36px;
    /* (6 * <margin: 2px>) + (3 * <width: 8px>) */
}

.recommend-widget-loader .loader-box {
    display: inline-block;
    height: 8px;
    width: 8px;
    margin: 0px 2px;
    background-color: #000;
    animation-name: recFadeOutIn;
    animation-duration: 500ms;
    animation-iteration-count: infinite;
    animation-direction: alternate;
}

.recommend-widget-loader .loader-box:nth-child(1) {
    animation-delay: 250ms;
}

/* (1/2) * <animation-duration: 500ms */
.recommend-widget-loader .loader-box:nth-child(2) {
    animation-delay: 500ms;
}

/* (2/2) * <animation-duration: 500ms */
.recommend-widget-loader .loader-box:nth-child(3) {
    animation-delay: 750ms;
}

/* (3/2) * <animation-duration: 500ms */

@keyframes recFadeOutIn {
    0% {
        background-color: rgba(0, 146, 255, 1);
    }

    100% {
        background-color: rgba(0, 146, 255, 0);
    }
}

.product-recommendation-self {
    float: left;
    margin: 40px 0 !important;
}

.product-recommendation-self strong.block-title-heading {
    font-size: 22px !important;
}

.product-recommendation-self li.product-item-recommended {
    float: left;
    width: 240px;
    padding-left: 5px;
    height: unset;
    min-height: 400px;
    text-align: left;
    margin-bottom: 25px;
}

.product-recommendation-self li.product-item-recommended * {
    letter-spacing: 1px;
}

@media screen and (max-width: 767px) {
    .product-recommendation-self li.product-item-recommended {
        width: 49%;
        min-height: 322px;
    }
}

.product-recommendation-self li.product-item-recommended .price-box.price-final_price {
    display: flex;
    flex-direction: row;
}

.product-recommendation-self li.product-item-recommended .price-box.price-final_price span.old-price.sly-old-price {
    margin-left: 4px;
}

.product-recommendation-self li.product-item-recommended .product-item-info-sp {
    max-width: 100% !important;
}

.product-recommendation-self li.product-item-recommended .product-item-details {
    line-height: 20px;
    margin-top: 4px;
}

.product-recommendation-self li.product-item-recommended .product-item-details .brand-name {
    font-weight: normal;
    font-family: 'Helvetica-Now-Black', Arial, Helvetica, sans-serif;
    text-transform: lowercase !important;
}




.button-applepay-tap{-webkit-appearance:-apple-pay-button;cursor:pointer;display:block;height:48px;min-height:30px;width:100%}.button-applepay-tap:disabled{cursor:default}.black{-apple-pay-button-style:#000}.white,.whiteOutline{-apple-pay-button-style:#fff}.whiteOutline{border:1px solid gray}